TICKIT_WINDOW_PARENT(3)

NAME
tickit_window_parent, tickit_window_root - query the ancestry of a window

SYNOPSIS
    #include <tickit.h>

    TickitWindow *tickit_window_parent(const TickitWindow *win);
    TickitWindow *tickit_window_root(const TickitWindow *win);

Link with -ltickit.

DESCRIPTION
tickit_window_parent() returns a pointer to the given window's immediate parent instance (i.e. the one it was created from), or NULL if called on a root window instance.

tickit_window_root() returns a pointer to the given window's ultimate root window instance. This may be the window itself, if called on a root window instance.

RETURN VALUE
tickit_window_parent() and tickit_window_root() return pointers to window instances.

SEE ALSO
tickit_window_new(3), tickit_window(7), tickit(7)